# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-07-06 11:05
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython
from django.db.models import Q

from socialhome.users.utils import get_pony_urls


def forward(apps, schema_editor):
    """Fill empty profile images with ponies according to new save logic."""
    Profile = apps.get_model("users", "Profile")
    ponies = get_pony_urls()
    for profile in Profile.objects.filter(
        Q(image_url_small="") | Q(image_url_medium="") | Q(image_url_large="")
    ):
        for idx, attr in enumerate(["image_url_large", "image_url_medium", "image_url_small"]):
            if not getattr(profile, attr, None):
                setattr(profile, attr, ponies[idx])
        profile.save()


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0021_migrate_to_profile_following'),
    ]

    operations = [
        RunPython(forward, RunPython.noop)
    ]
